Package org.italiangrid.voms.request.impl

# Class DefaultVOMSACRequest.Builder

java.lang.Object
org.italiangrid.voms.request.impl.DefaultVOMSACRequest.Builder

Enclosing class:
  `DefaultVOMSACRequest`

public static class DefaultVOMSACRequest.Builder extends Object

## Constructor Summary

Constructors
Constructor
Description
`Builder(String voName)`

## Method Summary

Modifier and Type
Method
Description
`DefaultVOMSACRequest`
`build()`
`DefaultVOMSACRequest.Builder`
`fqans(List<String> fqans)`
`DefaultVOMSACRequest.Builder`
`lifetime(int l)`
`DefaultVOMSACRequest.Builder`
`targets(List<String> targets)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Builder

public Builder(String voName)

## Method Details

### lifetime

public DefaultVOMSACRequest.Builder lifetime(int l)

### fqans

public DefaultVOMSACRequest.Builder fqans(List<String> fqans)

### targets

public DefaultVOMSACRequest.Builder targets(List<String> targets)

### build

public DefaultVOMSACRequest build()